org.vishia.gral.base

## Class GralWindow.GraphicImplAccess

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralPanelContent.ImplAccess
    - - org.vishia.gral.base.GralWindow.GraphicImplAccess

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    AwtSubWindow, SwtSubWindow
  Enclosing class:
    GralWindow

      public abstract static class GralWindow.GraphicImplAccess
      extends GralPanelContent.ImplAccess
      implements GralWidgImpl_ifc

  This class is not intent to use from an application, it is the super class for the implementation layer to access all necessary data and methods with protected access rights. The methods are protected because an application should not use it. This class is public because it should be visible from the graphic implementation which is located in another package.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GralWindow` | `gralWindow`

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphicImplAccess(GralWindow gralWdg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GralUserAction` | `actionOnCloseWindow()` The invisibleSetAction from the `GralWindow_ifc.specifyActionOnCloseWindow(GralUserAction)`
    `protected java.lang.String` | `getTitle()` The title is stored in the `GralWidget.DynamicData.displayedText`.
    `protected int` | `getWindowProps()` Window properties as Gral bits given on ctor of GralWindow.
    `protected boolean` | `isFullScreen()`
    `protected GralUserAction` | `mouseAction()` The mouseAction from the `GralWindow_ifc.setMouseAction(GralUserAction)`
    `protected GralUserAction` | `resizeAction()` The resizeAction from the `GralWindow_ifc.setResizeAction(GralUserAction)`
    `protected boolean` | `shouldClose()`

    - ### Methods inherited from class org.vishia.gral.base.GralPanelContent.ImplAccess

      `getPixelPositionSize, getPixelSize, gralPanel`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getPixelPositionSize, getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Field Detail

    - #### gralWindow

          protected final GralWindow gralWindow

  - ### Constructor Detail

    - #### GraphicImplAccess

          protected GraphicImplAccess(GralWindow gralWdg)

  - ### Method Detail

    - #### getTitle

          protected java.lang.String getTitle()

      The title is stored in the `GralWidget.DynamicData.displayedText`.

    - #### getWindowProps

          protected int getWindowProps()

      Window properties as Gral bits given on ctor of GralWindow.

    - #### isFullScreen

          protected boolean isFullScreen()

    - #### shouldClose

          protected boolean shouldClose()

    - #### resizeAction

          protected GralUserAction resizeAction()

      The resizeAction from the `GralWindow_ifc.setResizeAction(GralUserAction)`

    - #### mouseAction

          protected GralUserAction mouseAction()

      The mouseAction from the `GralWindow_ifc.setMouseAction(GralUserAction)`

    - #### actionOnCloseWindow

          protected GralUserAction actionOnCloseWindow()

      The invisibleSetAction from the `GralWindow_ifc.specifyActionOnCloseWindow(GralUserAction)`